// FastBilateralStereo.cpp : Defines the entry point for the console application.
//



#include "stdafx.h"
#include "cv.h"
#include "highgui.h"
#include "cxcore.h"
#include "cvaux.h"

#include "GlobalDefine.h"
#include "ACCV2009.h"




int _tmain(int argc, _TCHAR* argv[])
{

IplImage *Left; 
IplImage *Right; 
IplImage *Result_LR;
IplImage *Result_RL; 
IplImage *Result_LR_SMP;

int dmin=0;
int dmax=15;
int scale=15;

int radius=1;
int radius_macro=19;
float gamma_space=14;
float gamma_color=23;
int TAD_threshold;

	Left=cvLoadImage("Tsukuba_L.png",1);
	Right=cvLoadImage("Tsukuba_R.png",1);

CvSize size;
size.width=Left->width;
size.height=Left->height;

Result_LR = cvCreateImage(size,8,1);
Result_RL = cvCreateImage(size,8,1);
Result_LR_SMP = cvCreateImage(size,8,1);

FastStereoBilateral_ACCV_2009(Left, Right, Result_LR, Result_RL, Result_LR_SMP, dmin, dmax, radius, radius_macro, gamma_space, gamma_color, TAD_threshold, scale);

cvSaveImage("Result_LR.png",Result_LR);
cvSaveImage("Result_RL.png",Result_RL);
cvSaveImage("Result_LR_SMP.png",Result_LR_SMP);


cvReleaseImage(&Left);
cvReleaseImage(&Right);
cvReleaseImage(&Result_LR);
cvReleaseImage(&Result_RL);
cvReleaseImage(&Result_LR_SMP);

	return 0;
}

